For the complete documentation index, see llms.txt. This page is also available as Markdown.

Org Drift

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
repositoryIdentifierstringRequired
environmentstringRequired
Responses
403

Forbidden - Requires role: member, owner

No content

get/sfp/api/org-drift/schedule
403

Forbidden - Requires role: member, owner

No content

Create, update, or disable the org drift schedule for one environment

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
repositoryIdentifierstringRequiredExample: flxbl-io/sf-core
environmentstringRequiredExample: prod
aliasstringOptionalExample: iqa
branchstringOptionalExample: codev/prod
typeFilterstring[]Optional
packagesstringOptionalExample: core,ui
excludedPackagesstring[]OptionalExample: ["legacy-data-pack","sandbox-only-overrides"]
maxComponentsnumberOptionalExample: 1000
packageConcurrencynumberOptionalExample: 10
enabledbooleanRequiredExample: true
intervalHoursnumber · enumOptionalExample: 12Possible values:
cronExpressionstringOptionalExample: 15 2,14 * * *
Responses
403

Forbidden - Requires role: owner

No content

put/sfp/api/org-drift/schedule
403

Forbidden - Requires role: owner

No content

Trigger an on-demand org drift check

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
repositoryIdentifierstringRequiredExample: flxbl-io/sf-core
environmentstringRequiredExample: prod
aliasstringOptionalExample: iqa
branchstringOptionalExample: codev/prod
typeFilterstring[]Optional
packagesstringOptionalExample: core,ui
excludedPackagesstring[]OptionalExample: ["legacy-data-pack","sandbox-only-overrides"]
maxComponentsnumberOptionalExample: 1000
packageConcurrencynumberOptionalExample: 10
Responses
201

Org drift workflow dispatched

No content

post/sfp/api/org-drift/trigger

No content

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
repositoryIdentifierstringRequired
environmentstringRequired
statusstringRequired
limitstringRequired
Responses
403

Forbidden - Requires role: member, owner

No content

get/sfp/api/org-drift/runs
403

Forbidden - Requires role: member, owner

No content

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
repositoryIdentifierstringRequired
environmentstringRequired
includeEntriesstringRequired
Responses
403

Forbidden - Requires role: member, owner

No content

get/sfp/api/org-drift/runs/latest
403

Forbidden - Requires role: member, owner

No content

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
repositoryIdentifierstringRequired
environmentstringRequired
branchstringRequired
packageNamestringRequired
packageNamesstringRequired
statusstringRequired
classificationstringRequired
severitystringRequired
searchstringRequired
includeSilencedstringRequired
limitstringRequired
Responses
403

Forbidden - Requires role: member, owner

No content

get/sfp/api/org-drift/entries
403

Forbidden - Requires role: member, owner

No content

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
entryIdstringRequired
Query parameters
repositoryIdentifierstringRequired
Responses
403

Forbidden - Requires role: member, owner

No content

get/sfp/api/org-drift/entries/{entryId}
403

Forbidden - Requires role: member, owner

No content

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
entryIdstringRequired
Query parameters
repositoryIdentifierstringRequired
Responses
403

Forbidden - Requires role: member, owner

No content

get/sfp/api/org-drift/entries/{entryId}/variants
403

Forbidden - Requires role: member, owner

No content

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
entryIdstringRequired
Query parameters
sidestringRequired
repositoryIdentifierstringRequired
Responses
403

Forbidden - Requires role: member, owner

No content

get/sfp/api/org-drift/entries/{entryId}/content
403

Forbidden - Requires role: member, owner

No content

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
entryIdstringRequired
Query parameters
sidestringRequired
repositoryIdentifierstringRequired
Responses
403

Forbidden - Requires role: member, owner

No content

get/sfp/api/org-drift/entries/{entryId}/content/download
403

Forbidden - Requires role: member, owner

No content

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
entryIdstringRequired
Query parameters
repositoryIdentifierstringRequired
Body
reasonstringOptionalExample: Accepted org-only enrichment for this environment.
Responses
403

Forbidden - Requires role: member, owner

No content

patch/sfp/api/org-drift/entries/{entryId}/acknowledge
403

Forbidden - Requires role: member, owner

No content

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
entryIdstringRequired
Query parameters
repositoryIdentifierstringRequired
Body
reasonstringOptionalExample: Drift is still actionable.
Responses
403

Forbidden - Requires role: member, owner

No content

patch/sfp/api/org-drift/entries/{entryId}/reopen
403

Forbidden - Requires role: member, owner

No content

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
object · OrgDriftRunStartDtoOptional
Responses
201Success

No content

post/sfp/api/org-drift/internal/runs/start
201Success

No content

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
object · OrgDriftResultDtoOptional
Responses
201Success

No content

post/sfp/api/org-drift/internal/results
201Success

No content

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
object · OrgDriftFailureDtoOptional
Responses
201Success

No content

post/sfp/api/org-drift/internal/failures
201Success

No content

Last updated

Was this helpful?